Subject: (detached) background (console) processes
From: Kaatunut <[email-masked]>
To: [email-masked]
Date: Mon, 15 Jan 2001 17:18:28 +0200

How do I create a console (well, actually, console-less) process that I
can leave running at background- that is, no need for terminal? Under
unix, I would just do

if (fork()) { exit(0); }
// I'm in background now

but as I compile that on not-so-old gcc 2.95.2 on win32 (cygwin default
compiler or whatever, not mingw32) and run it, the terminal won't detach
and let me quit. And if I kill it, the child dies also.

I tried searching archives but found nothing useful; however, from one
post over two years old I got the impression I should have to
detach something. How does this happen?

 -Kaatunut

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple